org.gradle.nativebinaries.plugins

## Class NativeBinariesModelPlugin

- java.lang.Object
- - org.gradle.nativebinaries.plugins.NativeBinariesModelPlugin

- All Implemented Interfaces:
    Plugin<Project>

      @Incubating
      public class NativeBinariesModelPlugin
      extends Object
      implements Plugin<Project>

  A plugin that sets up the infrastructure for defining native binaries.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativeBinariesModelPlugin(org.gradle.internal.reflect.Instantiator instantiator, org.gradle.configuration.project.ProjectConfigurationActionContainer configurationActions, org.gradle.api.internal.file.FileResolver fileResolver)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Project project)` Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NativeBinariesModelPlugin

          @Inject
          public NativeBinariesModelPlugin(org.gradle.internal.reflect.Instantiator instantiator,
                                          org.gradle.configuration.project.ProjectConfigurationActionContainer configurationActions,
                                          org.gradle.api.internal.file.FileResolver fileResolver)

  - ### Method Detail

    - #### apply

          public void apply(Project project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object